from u232ping.abc.db import DataBase
from u232ping.types import Group 

class Controller(object):
   
    db: DataBase

    def __init__(self, db_implementation: DataBase) -> None:
        self.db = db_implementation

    async def _ping(self, group: int | None = None) -> Group:
        gtp: Group
        if group is None:
            gtp = await self.db.get_all()
        else:
            gtp = await self.db.get_group(group)
        return gtp

    async def all(self) -> Group:
        return await self._ping()

    async def first(self) -> Group:
        return await self._ping(1)

    async def second(self) -> Group:
        return await self._ping(2)
