from typing import Iterable

class Group(object):

    members: Iterable

    def __init__(self, members: Iterable) -> None:
        self.members = members

    def __str__(self) -> str:
        lst = tuple(map(lambda member: f"@{member}", self.members))
        return "\n".join(lst)
